Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Class AbstractRemoteCommitProvider

    java.lang.Object
      org.apache.openjpa.event.AbstractRemoteCommitProvider

All Implemented Interfaces:
  RemoteCommitProvider, Configurable, Closeable

Direct Known Subclasses:
  JMSRemoteCommitProvider, SingleJVMRemoteCommitProvider, TCPRemoteCommitProvider

    public abstract class AbstractRemoteCommitProvider

extends Object
implements RemoteCommitProvider, Configurable

Abstract implementation of `RemoteCommitProvider`. Obtains handles to the event manager and log.

Since:
  0.2.5.0
Author:
  Patrick Linskey

Field Summary
`protected RemoteCommitEventManager` | `eventManager`
`protected Log` | `log`

Constructor Summary
`AbstractRemoteCommitProvider()`

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`protected void` | `fireEvent(RemoteCommitEvent event)` Fire a remote commit event via the cached event manager.
`void` | `setConfiguration(Configuration config)` Invoked prior to setting bean properties.
`void` | `setRemoteCommitEventManager(RemoteCommitEventManager mgr)` Set the "owning" remote event manager to notify when remote events are received from remote sources.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.event.RemoteCommitProvider
`broadcast, close`

Field Detail

### eventManager

    protected RemoteCommitEventManager eventManager

### log

    protected Log log

Constructor Detail

### AbstractRemoteCommitProvider

    public AbstractRemoteCommitProvider()

Method Detail

### setConfiguration

    public void setConfiguration(Configuration config)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.

  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.

  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.

  Specified by:
    `endConfiguration` in interface `Configurable`

### setRemoteCommitEventManager

    public void setRemoteCommitEventManager(RemoteCommitEventManager mgr)

  Description copied from interface: `RemoteCommitProvider`
  Set the "owning" remote event manager to notify when remote events are received from remote sources.

  Specified by:
    `setRemoteCommitEventManager` in interface `RemoteCommitProvider`

### fireEvent

    protected void fireEvent(RemoteCommitEvent event)

  Fire a remote commit event via the cached event manager.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.